Developer
    Digital Gold API
    • Account
    • Verification API
    • Recharge API
    • PAYOUT API
    • Operator Lookup API
    • Mobile Tariff Plans
    • Utility Bill Pay API
    • Gift Card/ Brand Voucher API
    • webhook/callback
    • Recharge Validation API
    • Flight Booking API
    • Bus Booking API
    • Credit Card Bill API
    • CREDIT CARD TO BANK API
    • Virtual Account
    • UPI COLLECTION
    • UPI INTENT LINK
    • Traffic E-Challan
    • Digital Gold API
    • Credit Score | CIBIL Score API
    • live_rate
      GET
    • get_cus
      GET
    • add_cus
      POST
    • calculate_rate
      POST
    • buy_gold
      POST
    • add_bank
      POST
    • sell_gold
      POST

      buy_gold

      POST
      https://api.wepego.com/finance/digigold/buy_gold

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.wepego.com/finance/digigold/buy_gold' \
      --header 'Token: ZKEYza2COHK0QVkcVkwUb6WeIgWiS' \
      --header 'CheckSum: 739f448d1cc4f5bbbd048e68ba2b8885b0f8414ed4090ad967df7d15d7cdbbae' \
      --header 'Accept: application/json' \
      --header 'Content-Type: application/json' \
      --data '{
          "customer_id": "D1776256699219mQueU",
          "blockId": "qEmdWLkq",
          "merchant_order_id":"ZLPP40045006006",
          "amount": "2500"
          
         
      }'
      Response Response Example
      {
          "result": 0,
          "quantity": "0.1237",
          "rates": {
              "net_payment": "1941.75",
              "total_gst": "58.25",
              "final_weight_gram": "0.1237"
          },
          "merchant_order_id": "ZLPP40045006005",
          "status": "SUCCESS",
          "tlid": "Z1776339735472mS"
      }
      Modified at 2026-08-29 13:16:25
      Previous
      calculate_rate
      Next
      add_bank
      Built with